# wxDebugReportUpload Class Reference
[Debugging]

`#include </home/work/projects/wx/2.9/wx/interface/wx/debugrpt.h>`

Inheritance diagram for wxDebugReportUpload:
[legend]

## Detailed Description

This class is used to upload a compressed file using HTTP POST request.

As this class derives from wxDebugReportCompress, before upload the report is compressed in a single ZIP file.

##

Library: wxQA
Category: Debugging

## Public Member Functions

| wxDebugReportUpload (const wxString &url, const wxString &input, const wxString &action, const wxString &curl="curl")
| This class will upload the compressed file created by its base class to an HTML multipart/form-data form at the specified address.

## Protected Member Functions

virtual bool | OnServerReply (const wxArrayString &reply)
| This function may be overridden in a derived class to show the output from curl: this may be an HTML page or anything else that the server returned.

List of all members.

## Constructor & Destructor Documentation

wxDebugReportUpload::wxDebugReportUpload | ( | const wxString & | url,
|  | const wxString & | input,
|  | const wxString & | action,
|  | const wxString & | curl = `"curl"` |
| ) |  |  |

This class will upload the compressed file created by its base class to an HTML multipart/form-data form at the specified address.

The url is the upload page address, input is the name of the `"type=file"` control on the form used for the file name and action is the value of the form action field. The report is uploaded using the curl program which should be available, the curl parameter may be used to specify the full path to it.

## Member Function Documentation

virtual bool wxDebugReportUpload::OnServerReply | ( | const wxArrayString & | reply | ) | `[protected, virtual]`

This function may be overridden in a derived class to show the output from curl: this may be an HTML page or anything else that the server returned.

Value returned by this function becomes the return value of wxDebugReport::Process().

|  | [ top ]